/[suikacvs]/test/suikawebwww/style/html/wf2.css
Suika

Contents of /test/suikawebwww/style/html/wf2.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.4 - (show annotations) (download) (as text)
Sun Mar 8 15:15:40 2009 UTC (17 years, 4 months ago) by wakaba
Branch: MAIN
CVS Tags: HEAD
Changes since 1.3: +8 -2 lines
File MIME type: text/css
++ style/html/ChangeLog	8 Mar 2009 15:15:30 -0000
2009-03-09  Wakaba  <wakaba@suika.fam.cx>

	* xhtml1.css: Added sectioning HTML5 elements.

2008-12-09  Wakaba  <wakaba@suika.fam.cx>

	* xhtml1.css (mark): Added |background-color|.

1 /* A Style Sheet for Web Forms 2.0 */
2
3 @namespace 'http://www.w3.org/1999/xhtml';
4
5 form {
6 margin-top: 1em;
7 margin-bottom: 1em;
8 border: #d2a6ff 1px dashed;
9 padding: 0.5em;
10 }
11
12 form p {
13 text-indent: 0;
14 }
15
16 input[type="text"], input[type="password"],
17 input[type="url"], input[type="email"] {
18 width: 96%;
19 }
20
21 input[size][type=text], input[size][type=password],
22 input[size][type=url], input[size][type=email] {
23 width: auto;
24 }
25
26 input[type=text]:not(:first-child),
27 input[type=password]:not(:first-child),
28 input[type=url]:not(:first-child),
29 input[type=email]:not(:first-child) {
30 width: auto;
31 min-width: 20em;
32 }
33
34 /*
35 input[title]:after {
36 content: attr(title);
37 color: green;
38 background-color: transparent;
39 }
40
41 input[title]:lang(en):after {
42 font-style: italic;
43 }
44 */
45
46 textarea {
47 width: 96%;
48 }
49
50 /* License
51
52 Copyright 2005-2009 Wakaba <[email protected]>.
53
54 This program is free software; you can redistribute it and/or modify
55 it under the terms of the GNU General Public License as published by
56 the Free Software Foundation; either version 2 of the License, or
57 (at your option) any later version.
58
59 This program is distributed in the hope that it will be useful,
60 but WITHOUT ANY WARRANTY; without even the implied warranty of
61 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
62 GNU General Public License for more details.
63
64 You should have received a copy of the GNU General Public License
65 along with this program; see the file COPYING. If not, write to
66 the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
67 Boston, MA 02111-1307, USA.
68
69 */
70
71 /* $Date: 2008/10/30 13:51:21 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24